Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
Lucene::SmallDouble Class Reference

Floating point numbers smaller than 32 bits. More...

`#include <SmallDouble.h>`

Inheritance diagram for Lucene::SmallDouble:

## Public Member Functions

virtual | ~SmallDouble ()
virtual String | getClassName ()
boost::shared_ptr< SmallDouble > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
static uint8_t | doubleToByte (double f)
| Converts a floating point number to an 8 bit float. Values less than zero are all mapped to zero. Values are truncated (rounded down) to the nearest 8 bit value. Values between zero and the smallest representable value are rounded up.
static double | byteToDouble (uint8_t b)
| Converts an 8 bit floating point number to a double.

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Floating point numbers smaller than 32 bits.

## Constructor & Destructor Documentation

## ◆ ~SmallDouble()

virtual Lucene::SmallDouble::~SmallDouble | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::SmallDouble::_getClassName | ( |  | ) |

inline static

## ◆ byteToDouble()

double Lucene::SmallDouble::byteToDouble | ( | uint8_t | b | ) |

static

Converts an 8 bit floating point number to a double.

## ◆ doubleToByte()

uint8_t Lucene::SmallDouble::doubleToByte | ( | double | f | ) |

static

Converts a floating point number to an 8 bit float. Values less than zero are all mapped to zero. Values are truncated (rounded down) to the nearest 8 bit value. Values between zero and the smallest representable value are rounded up.

## ◆ getClassName()

virtual String Lucene::SmallDouble::getClassName | ( |  | ) |

inline virtual

## ◆ shared_from_this()

boost::shared_ptr< SmallDouble > Lucene::SmallDouble::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- SmallDouble.h

clucene.sourceforge.net